#include <iocslib.h>
#include "defines.h"

/* gcd -os rdgram2 : SUPER()を使っているから */

void read_gram2(int sx,int sy,int ex,int ey,unsint *buff)
/* ６５５３６色モード時読み取り（１ドット２バイト）*/
{
unsint *gr,*gram=(unsint *)GRAM;
int x,y,ssp;
	gram+=(sx+sy*512); /* top address */
	ssp=SUPER(0);
	for (y=sy;y<=ey;y++) {
		gr=gram;
		for (x=sx;x<=ex;x++) *buff++=*gr++;
		gram+=512; /* to next line top */
	}
	if (ssp>=0) SUPER(ssp);
}
